Commit 1eeca66c authored by Eike Ziller's avatar Eike Ziller

Get rid of Gitorious links

That service is discontinued, and we have our own mirror anyhow.

Change-Id: I8a45401e2c0c889d87c675a79ae16684d7c69a7a
Reviewed-by: default avatarOswald Buddenhagen <oswald.buddenhagen@theqtcompany.com>
Reviewed-by: default avatarEike Ziller <eike.ziller@theqtcompany.com>
parent 9bef92de
...@@ -65,12 +65,11 @@ For detailed information on the supported compilers, see ...@@ -65,12 +65,11 @@ For detailed information on the supported compilers, see
that the version displayed is 5.10 or later. Note that git ships that the version displayed is 5.10 or later. Note that git ships
an outdated version 5.8 which cannot be used for Qt. an outdated version 5.8 which cannot be used for Qt.
5. In the working directory, check out the respective branch of Qt 5. In the working directory, check out the respective branch of Qt from
(we recommend the latest released version from the release branch, <https://code.qt.io/cgit/qt/qt5.git> (we recommend the latest released version).
5.2.1; see <https://qt.gitorious.org/qt>).
6. Check out Qt Creator (master branch or latest version, see 6. Check out Qt Creator (master branch or latest version, see
<https://qt.gitorious.org/qt-creator>). <https://code.qt.io/cgit/qt-creator/qt-creator.git>).
You should now have the directories qt and creator under your working You should now have the directories qt and creator under your working
directory. directory.
...@@ -154,7 +153,7 @@ For detailed information on the supported compilers, see ...@@ -154,7 +153,7 @@ For detailed information on the supported compilers, see
Windows, you can obtain the 64 bit versions of the extension library Windows, you can obtain the 64 bit versions of the extension library
and the binary `win64interrupt.exe`, which is required for and the binary `win64interrupt.exe`, which is required for
debugging from the repository debugging from the repository
<https://qt.gitorious.org/qt-creator/binary-artifacts/source/> . <https://code.qt.io/cgit/qt-creator/binary-artifacts.git/tree> .
13. Qt Creator can be registered as a post-mortem debugger. This 13. Qt Creator can be registered as a post-mortem debugger. This
can be done in the options page or by running the tool qtcdebugger can be done in the options page or by running the tool qtcdebugger
......
...@@ -4,7 +4,7 @@ The most important changes are listed in this document. For a complete ...@@ -4,7 +4,7 @@ The most important changes are listed in this document. For a complete
list of changes, see the Git log for the Qt Creator sources that list of changes, see the Git log for the Qt Creator sources that
you can check out from the public Git repository. For example: you can check out from the public Git repository. For example:
git clone git://gitorious.org/qt-creator/qt-creator.git git clone git://code.qt.io/qt-creator/qt-creator.git
git log --cherry-pick --pretty=oneline origin/3.3..origin/3.4 git log --cherry-pick --pretty=oneline origin/3.3..origin/3.4
General General
......
...@@ -35,7 +35,7 @@ ...@@ -35,7 +35,7 @@
Prebuilt \QC packages usually use the latest stable release of Qt. Prebuilt \QC packages usually use the latest stable release of Qt.
You can see the exact minimum requirement at the top of \QC's qtcreator.pro. You can see the exact minimum requirement at the top of \QC's qtcreator.pro.
(You can find the current version in our source repository here: (You can find the current version in our source repository here:
\l{http://qt.gitorious.org/qt-creator/qt-creator/blobs/master/qtcreator.pro}.) \l{https://code.qt.io/cgit/qt-creator/qt-creator.git/tree/qtcreator.pro#n4}.)
You can get prebuilt Qt packages from \l{https://download.qt.io}{Qt Downloads}. You can get prebuilt Qt packages from \l{https://download.qt.io}{Qt Downloads}.
If you want to use Qt as provided by your Linux distribution, you need to make sure that all If you want to use Qt as provided by your Linux distribution, you need to make sure that all
...@@ -44,8 +44,8 @@ ...@@ -44,8 +44,8 @@
\section1 Getting and Building \QC \section1 Getting and Building \QC
You can get the \QC sources for a specific version either by using one of the You can get the \QC sources for a specific version either by using one of the
released source bundles, or from the Gitorious repository released source bundles, or from the Git repository
\l{http://qt.gitorious.org/qt-creator}. If you intend to contribute to \QC \l{https://code.qt.io/cgit/qt-creator/qt-creator.git}. If you intend to contribute to \QC
itself, you should use the repository from our Gerrit review tool as described itself, you should use the repository from our Gerrit review tool as described
in: \l{https://wiki.qt.io/Setting_up_Gerrit}{Setting up Gerrit}. in: \l{https://wiki.qt.io/Setting_up_Gerrit}{Setting up Gerrit}.
......
...@@ -101,7 +101,7 @@ macx { ...@@ -101,7 +101,7 @@ macx {
deployqt.depends = install deployqt.depends = install
win32 { win32 {
deployartifacts.depends = install deployartifacts.depends = install
deployartifacts.commands = git clone "git://gitorious.org/qt-creator/binary-artifacts.git" -b $$BINARY_ARTIFACTS_BRANCH&& xcopy /s /q /y /i "binary-artifacts\\win32" \"$(INSTALL_ROOT)$$QTC_PREFIX\"&& rmdir /s /q binary-artifacts deployartifacts.commands = git clone "git://code.qt.io/qt-creator/binary-artifacts.git" -b $$BINARY_ARTIFACTS_BRANCH&& xcopy /s /q /y /i "binary-artifacts\\win32" \"$(INSTALL_ROOT)$$QTC_PREFIX\"&& rmdir /s /q binary-artifacts
QMAKE_EXTRA_TARGETS += deployartifacts QMAKE_EXTRA_TARGETS += deployartifacts
} }
} }
......
...@@ -614,7 +614,7 @@ bool CdbEngine::launchCDB(const DebuggerStartParameters &sp, QString *errorMessa ...@@ -614,7 +614,7 @@ bool CdbEngine::launchCDB(const DebuggerStartParameters &sp, QString *errorMessa
if (!extensionFi.isFile()) { if (!extensionFi.isFile()) {
*errorMessage = QString::fromLatin1("Internal error: The extension %1 cannot be found.\n" *errorMessage = QString::fromLatin1("Internal error: The extension %1 cannot be found.\n"
"If you build Qt Creator from sources, check out " "If you build Qt Creator from sources, check out "
"https://qt.gitorious.org/qt-creator/binary-artifacts/"). "https://code.qt.io/cgit/qt-creator/binary-artifacts.git/.").
arg(QDir::toNativeSeparators(extensionFi.absoluteFilePath())); arg(QDir::toNativeSeparators(extensionFi.absoluteFilePath()));
return false; return false;
} }
......
...@@ -154,7 +154,7 @@ GDB 32bit | Api | Api | NA | Win32 ...@@ -154,7 +154,7 @@ GDB 32bit | Api | Api | NA | Win32
if (!QFile::exists(executable)) { if (!QFile::exists(executable)) {
*errorMessage = QString::fromLatin1("%1 does not exist. If you have built QtCreator " *errorMessage = QString::fromLatin1("%1 does not exist. If you have built QtCreator "
"on your own ,checkout " "on your own ,checkout "
"http://qt.gitorious.org/qt-creator/binary-artifacts."). "https://code.qt.io/cgit/qt-creator/binary-artifacts.git/.").
arg(QDir::toNativeSeparators(executable)); arg(QDir::toNativeSeparators(executable));
break; break;
} }
......
...@@ -185,8 +185,8 @@ GDB 32bit | Api | Api | N/A | Win32 ...@@ -185,8 +185,8 @@ GDB 32bit | Api | Api | N/A | Win32
: QLatin1String("/win64interrupt.exe"); : QLatin1String("/win64interrupt.exe");
if (!QFile::exists(executable)) { if (!QFile::exists(executable)) {
appendMsgCannotInterrupt(pid, tr( "%1 does not exist. If you built Qt Creator " appendMsgCannotInterrupt(pid, tr( "%1 does not exist. If you built Qt Creator "
"yourself, check out http://qt.gitorious.org/" "yourself, check out https://code.qt.io/cgit/"
"qt-creator/binary-artifacts."). "qt-creator/binary-artifacts.git/.").
arg(QDir::toNativeSeparators(executable))); arg(QDir::toNativeSeparators(executable)));
} }
switch (QProcess::execute(executable, QStringList(QString::number(pid)))) { switch (QProcess::execute(executable, QStringList(QString::number(pid)))) {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment